Frontend (Signing Key JWT)Workflow Catalog
Get automation projects available to the connected user
Get automation projects available to the connected user.
Authorization
jwtBearerAuth AuthorizationBearer <token>
In: header
Header Parameters
X-Environment?string
The environment.
Value in
- "DEVELOPMENT"
- "STAGING"
- "PRODUCTION"
Response Body
application/json
curl -X GET "https://example.com/automation/projects"[ { "id": 0, "name": "string", "description": "string", "automationHubVisible": true, "workflowTemplates": [ { "id": "string", "label": "string", "description": "string", "components": [ { "name": "string", "title": "string", "icon": "string", "connectionRequired": true, "integrationId": 0, "provided": true } ], "inputs": [ { "name": "string", "label": "string", "type": "string", "required": true, "provided": true } ] } ] }]How is this guide?
Embedded Workflow Catalog (Frontend)
List the catalog projects available to the signed-in connected user.
Get an automation workflow template available to the connected user GET
Get an automation workflow template available to the connected user by its workflow uuid. Unlike the project listing, it also returns a template of a project not listed in the Automation Hub.